/*
 * @(#)OppositeConsecutiveAdversary.java
 *
 * $Revision: 1.2 $
 * $Date: 2006/04/06 19:10:12 $
 *
 * Copyright (c) 2005-2006 RWTH Aachen University, Lehr- und Forschungsgebiet Informatik 4.
 * All rights reserved.
 */

package de.rwth.informatik.lufgi4.trustedpals.adversary;

import de.rwth.informatik.lufgi4.trustedpals.messaging.Message;

/**
 * This adversary accepts/drops every second message.
 * 
 * @author Milan Fort
 * @version $Revision: 1.2 $, $Date: 2006/04/06 19:10:12 $
 * 
 * @since 1.0
 */
public class OppositeConsecutiveAdversary implements Adversary {

    private boolean accept = false;
    
    public boolean accept(Message message) {
        accept = !accept;
        return accept;
    }
}
