/*
 * @(#)CardListenerException.java
 *
 * $Revision: 1.3 $
 * $Date: 2006/04/06 19:10:12 $
 *
 * Copyright (c) 2005-2006 RWTH Aachen University, Lehr- und Forschungsgebiet Informatik 4.
 * All rights reserved.
 */

package de.rwth.informatik.lufgi4.trustedpals.gui;

/**
 * This exception is thrown by <code>CardListener</code> to indicate, that a problem
 * occurred with the underlying OCF implementation.
 * 
 * @author Milan Fort
 * @version $Revision: 1.3 $, $Date: 2006/04/06 19:10:12 $
 * 
 * @since 1.0
 */
public class CardListenerException extends Exception {
    
    private static final long serialVersionUID = 8351L;
    
    public CardListenerException(String message) {
		super(message);
	}
    
    public CardListenerException(String message, Throwable cause) {
		super(message, cause);
	}
    
    public CardListenerException(Throwable cause) {
		super(cause);
	}
}
