/*
 * @(#)Utils.java
 *
 * $Revision: 1.3 $
 * $Date: 2006/04/06 19:10:12 $
 *
 * Copyright (c) 2005-2006 RWTH Aachen University, Lehr- und Forschungsgebiet Informatik 4.
 * All rights reserved.
 */

package de.rwth.informatik.lufgi4.trustedpals.util;

import org.apache.commons.lang.builder.ToStringStyle;

/**
 * Global utilities.
 * 
 * @author Milan Fort
 * @version $Revision: 1.3 $, $Date: 2006/04/06 19:10:12 $
 * 
 * @since 1.0
 */
public class Utils {
    
    public static final ToStringStyle SHORT_STYLE = new ToStringStyle() {
        {
            setUseShortClassName(true);
            setUseIdentityHashCode(false);
            setFieldSeparator(", ");
        }
    };
    
    public static void convertNumbers(byte[] x) {
        for (int i = 0; i < x.length; i++) {
            if (x[i] >= 48 && x[i] <= 57) {
                x[i] -= 48;
            }
        }
    }
}
