/*
 * @(#)CSControllerTest.java
 *
 * $Revision: 1.2 $
 * $Date: 2006/04/06 19:10:12 $
 *
 * Copyright (c) 2005-2006 RWTH Aachen University, Lehr- und Forschungsgebiet Informatik 4.
 * All rights reserved.
 */

package de.rwth.informatik.lufgi4.trustedpals.gui;

import junit.framework.TestCase;

public class CSControllerTest extends TestCase {
    
    public void testCreateDataArray() {
        byte[] data = CSController.createDataArray((byte) 4, (byte) 2, (byte) 1, (byte) 3,
                new byte[] {1, 2, 3}, new byte[] {9, 9, 9, 9, 9}, new byte[] {4, 3, 2, 1},
                new byte[] {3, 3, 3, 3, 3, 3, 3, 3});
        
        byte[] expectedData = new byte[] {4, 2, 1, 3, 3, 1, 2, 3, 5, 9, 9, 9, 9, 9, 4, 4, 3, 2, 1,
                8, 3, 3, 3, 3, 3, 3, 3, 3};

        assertEquals(expectedData.length, data.length);
        
        for (int i = 0; i < expectedData.length; i++) {
            assertEquals(expectedData[i], data[i]);
        }
    }
}
